/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/

package org.jboss.test.retry.test;

import java.rmi.*;


import javax.naming.Context;
import javax.naming.InitialContext;
import javax.ejb.DuplicateKeyException;
import javax.ejb.Handle;
import javax.ejb.EJBMetaData;
import javax.ejb.EJBHome;
import javax.ejb.HomeHandle;

import java.util.Date;
import java.util.Properties;
import java.util.Collection;
import java.util.Iterator;
import java.util.Enumeration;
import java.util.Arrays;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.jboss.test.retry.interfaces.*;

import org.jboss.test.JBossTestCase;
import org.jboss.invocation.MarshalledValue;

/**
* Sample client retry tester
*
* @author <a href="mailto:bill@ejboss.org">Bill Burke</a>
* @author <a href="mailto:hugo@hugopinto.com">Hugo Pinto</a>
* @version $Id: RetryUnitTestCase.java,v 1.1.2.1 2004/01/08 00:10:16 patriot1burke Exp $
*/
public class RetryUnitTestCase
   extends JBossTestCase
{
   public RetryUnitTestCase(String name) {
      super(name);
   }


   public void testRetry()
      throws Exception
   {
      RetrySessionHome home = (RetrySessionHome)new InitialContext().lookup("RetrySession");
      RetrySession bean = home.create();
      bean.retry();
   }

   public static Test suite() throws Exception
   {
      Test t1 = getDeploySetup(RetryUnitTestCase.class, "retry.jar");
      return t1;
   }

}
